Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "a940eb84-7e44-4090-8ecb-0ce841b86910",
  "date_start": "2026-11-01T02:53:55.24076+00:00",
  "date_end": "2026-11-01T02:53:55.24076+00:00",
  "modified_dateutc": "2026-11-01T02:53:55.24076+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "af235c89-30fc-47b7-b316-f0abc792d1bd",
  "user_code": "sample string 8",
  "user": {
    "id": "4f6f003f-603f-4ec6-992e-d35397d6a12b",
    "db_language_id": "5e815c55-9e5a-4735-b8b7-ffcdb84d08cd",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-01T02:53:55.24076+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "1878cbc0-a6a0-41e9-8027-de2582e19e30",
    "sales_organization": {
      "id": "df09240c-8e76-449c-ac47-24f51ed9edaf",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ba92e82-72a1-430e-8006-0c51f78453c8",
      "db_currency_id": "64656952-f533-4994-ba1c-fbd9af86d08b",
      "db_language_id": "7c310bf0-2bdf-4981-802c-aaac12d45092",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-01T02:53:55.24076+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "201b653b-37c1-41fe-90f2-57869b9425d6",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "6585ac7b-1eb7-41dd-97a7-146601538e64",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-01T02:53:55.24076+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "bb967cf6-c82a-41c7-969b-ea8bee0e6d26"
  },
  "user_unavailability_type_id": "31fb05b2-c60d-4468-a6b9-e497f4a67885",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "ee1e3189-204b-40ce-9aac-6088df65afe7",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "af152b4b-addf-4134-b427-8fcf419c0d0a",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "df09240c-8e76-449c-ac47-24f51ed9edaf",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ba92e82-72a1-430e-8006-0c51f78453c8",
      "db_currency_id": "64656952-f533-4994-ba1c-fbd9af86d08b",
      "db_language_id": "7c310bf0-2bdf-4981-802c-aaac12d45092",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-01T02:53:55.24076+00:00"
    },
    "modified_dateutc": "2026-11-01T02:53:55.24076+00:00"
  }
}